# XQilla Simple API Documentation

# UpdateFactory Class Reference

`#include <UpdateFactory.hpp>`

Inheritance diagram for UpdateFactory:
[legend]

List of all members.

## Public Member Functions

virtual | ~UpdateFactory ()
virtual void | applyUpdates (const PendingUpdateList &pul, DynamicContext *context, DocumentCache::ValidationMode valMode)
virtual void | checkUpdates (const PendingUpdateList &pul, DynamicContext *context, DocumentCache::ValidationMode valMode)
virtual void | applyPut (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertInto (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertAttributes (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyReplaceValue (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyRename (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyDelete (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertBefore (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertAfter (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertAsFirst (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyInsertAsLast (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyReplaceNode (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyReplaceAttribute (const PendingUpdate &update, DynamicContext *context)=0
virtual void | applyReplaceElementContent (const PendingUpdate &update, DynamicContext *context)=0
virtual void | completeUpdate (DynamicContext *context)=0

## Protected Attributes

DocumentCache::ValidationMode | valMode_

## Constructor & Destructor Documentation

virtual UpdateFactory::~UpdateFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void UpdateFactory::applyDelete | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertAfter | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertAsFirst | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertAsLast | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertAttributes | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertBefore | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyInsertInto | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyPut | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyRename | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyReplaceAttribute | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyReplaceElementContent | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyReplaceNode | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyReplaceValue | ( | const PendingUpdate & | update,
|  | DynamicContext * | context |
| ) |  |  | `[pure virtual]`

virtual void UpdateFactory::applyUpdates | ( | const PendingUpdateList & | pul,
|  | DynamicContext * | context,
|  | DocumentCache::ValidationMode | valMode |
| ) |  |  | `[virtual]`

virtual void UpdateFactory::checkUpdates | ( | const PendingUpdateList & | pul,
|  | DynamicContext * | context,
|  | DocumentCache::ValidationMode | valMode |
| ) |  |  | `[inline, virtual]`

virtual void UpdateFactory::completeUpdate | ( | DynamicContext * | context | ) | `[pure virtual]`

## Member Data Documentation

DocumentCache::ValidationMode UpdateFactory::valMode_ `[protected]`

The documentation for this class was generated from the following file:

- UpdateFactory.hpp